// forwardNoNM.fx
// by Julian "Jibb" Smart
// 2009

const float4x4 matWorldViewProj;
const float4x4 matWorld;
const float4 vecViewDir;
const float4 vecSunDir;

// view's y and z
float4 vecSkill1;
float4 vecSkill5;

float toneMappingFactor_var;
float sunFactor_var;

texture entSkin1;
sampler ColourSampler = sampler_state {
	Texture = <entSkin1>;
};

void VS	(in float4 inPos			:	POSITION,
			in float3 inNormal		:	NORMAL,
			in float2 inTex			:	TEXCOORD0,
			out float4 outPos			:	POSITION,
			out float2 outTex			:	TEXCOORD0,
			out float3 outNormal		:	TEXCOORD1) {
	outPos = mul(inPos, matWorldViewProj);
	outTex = inTex;
	outNormal = mul(inNormal, matWorld);
}

float4 PS	(in float2 inTex		:	TEXCOORD0,
				in float3 inNormal	:	TEXCOORD1) : COLOR0
{
	// colours
	float4 colours = tex2D(ColourSampler, inTex);
	float4 ambience = colours;
	ambience.rgb *= 0.5;
	float light = saturate(dot(vecSunDir, -inNormal));
	return (ambience + light * colours * sunFactor_var) * toneMappingFactor_var;
}

technique DiffuseTech {
	pass p0 {
		VertexShader = compile vs_2_0 VS();
		PixelShader = compile ps_2_0 PS();
	}
}
